<?php
namespace nulib\db\mysql;

use nulib\db\pdo\Pdo;

class Mysql extends Pdo {
  const PREFIX = "mysql";

  static function config_unbufferedQueries(self $mysql): void {
    $mysql->db->setAttribute(\PDO::MYSQL_ATTR_USE_BUFFERED_QUERY, false);
  }
  const CONFIG_unbufferedQueries = [self::class, "config_unbufferedQueries"];

  function getDbname(): ?string {
    $url = $this->dbconn["name"] ?? null;
    if ($url !== null && preg_match('/^mysql(?::|.*;)dbname=([^;]+)/i', $url, $ms)) {
      return $ms[1];
    }
    return null;
  }
}
